## 介绍：
为防止公司代码剽窃、图形绘制引擎包以 npm 包的形式部署在了公司私有服务器上；所以在下载时、需要先下载其他依赖包；然后将 npm 指向私服；再下载引擎包；
<br/>
绘图包要和其他依赖包分开下载步骤如下：
## 安装

1. 先删除 package.json 中关于拓扑图依赖包 以下部分 （如果package.json没有则忽略此步骤）
```
 "@persagy-web/base": "2.2.1",
    "@persagy-web/big": "2.2.30",
    "@persagy-web/draw": "2.2.8",
    "@persagy-web/graph": "2.2.31",
```
2. 设置 npm 指向（如果其他依赖包已经拉取，则忽略此2. 3.步骤）

```
npm config set registry https://registry.npmjs.org/
```

3. 下载其他依赖

```
npm i
```

4. 设置 npm 指向到私服

```
npm config set registry http://dev.dp.sagacloud.cn:8082/repository/npm-saga/
```
5. 下载图相关依赖包
将以下依赖粘贴入 package.json 然后下载
```
 "@persagy-web/base": "2.2.1",
    "@persagy-web/big": "2.2.30",
    "@persagy-web/draw": "2.2.8",
    "@persagy-web/graph": "2.2.31",
```
6. 下载引擎依赖

```
npm i
```
::: warning
公共包与私有包按照上述步骤分开下载；如果一起下载会引发问题
:::